Bug 1324531 - [GSS] [RFE] Create trash directory only when its is enabled
Summary: [GSS] [RFE] Create trash directory only when its is enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core
Version: rhgs-3.1
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Jiffin
QA Contact: Vivek Das
URL:
Whiteboard: rebase
Depends On: 1264849
Blocks: 1468983 1408949 RHGS-3.4-GSS-proposed-tracker 1474007 1503132 1503135
TreeView+ depends on / blocked
 
Reported: 2016-04-06 14:35 UTC by Riyas Abdulrasak
Modified: 2018-09-11 06:14 UTC (History)
15 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Enhancement
Doc Text:
Previously, users were able to create trash directory on volumes with trash directory feature disabled and without permission to remove it from the mount point.. With this fix, a trash directory can only be created if the feature is enabled, allowing users to remove the directory when the feature is disabled.
Clone Of: 1264849
Environment:
Last Closed: 2018-09-04 06:27:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:29:17 UTC

Description Riyas Abdulrasak 2016-04-06 14:35:38 UTC
+++ This bug was initially created as a clone of Bug #1264849 +++

Description of problem:

The creation of trash directory will performed only when it is enabled. And similarly operations such as rename , deletion will be prevented only when it is enabled. If creation fails (by some how) then trash xlator will off by throwing a warning message. The same is applicable for internal op directory.

--- Additional comment from Vijay Bellur on 2015-10-12 09:00:59 EDT ---

REVIEW: http://review.gluster.org/12256 (features/trash : create trash directory only when it is enabled) posted (#2) for review on master by jiffin tony Thottan (jthottan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-03-28 05:44:13 EDT ---

REVIEW: http://review.gluster.org/12256 (features/trash : create trash directory only when it is enabled) posted (#3) for review on master by jiffin tony Thottan (jthottan@redhat.com)

--- Additional comment from Mike McCune on 2016-03-28 18:50:27 EDT ---

This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 1 Atin Mukherjee 2016-04-20 22:17:48 UTC
As per the conversation with the patch owner, moving this bug for 3.2

Comment 7 Anoop C S 2017-02-07 10:31:31 UTC
Upstream patch https://review.gluster.org/#/c/12256/ merged.

Comment 13 Vivek Das 2018-03-27 03:42:53 UTC
Able to delete the trash directory for older volume shares and in fresh volume the trash directory is not created by default.

Version
--------
glusterfs-3.12.2-5.el7rhgs.x86_64
samba-4.7.5-103.el7rhgs.x86_64

Comment 17 errata-xmlrpc 2018-09-04 06:27:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.